﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
using HeuristicLab.Common;

namespace HeuristicLab.Problems.TradeRules
{
    class Max :Symbol
    {
        private const int minimumArity = 1;
        private const int maximumArity = 1;

        public override int MinimumArity
        {
            get { return minimumArity; }
        }
        public override int MaximumArity
        {
            get { return maximumArity; }
        }

        [StorableConstructor]
        private Max(bool deserializing) : base(deserializing) { }
        private Max(Max original, Cloner cloner) : base(original, cloner) { }
        public override IDeepCloneable Clone(Cloner cloner)
        {
            return new Max(this, cloner);
        }
        public Max() : base("Max", "Symbol that represents the Max value in a time") { }
    }
 }

